Bug 880381 - remote-viewer crashes with - *** glibc detected *** remote-viewer: double free or corruption (out): 0x0000000000d90f70 ***
remote-viewer crashes with - *** glibc detected *** remote-viewer: double fre...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 15:55 EST by Scott Dowdle
Modified: 2013-02-03 15:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 15:01:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing this crash (2.77 KB, patch)
2012-11-27 04:32 EST, Christophe Fergeau
no flags Details | Diff

  None (edit)
Description Scott Dowdle 2012-11-26 15:55:53 EST
Description of problem: When I try to connect to a remote KVM virtual machine with SPICE, remote-viewer crashes after authentication with the following error:

*** glibc detected *** remote-viewer: double free or corruption (out): 0x0000000000d90f70 ***

Version-Release number of selected component (if applicable):
virt-viewer-0.5.4-2.fc18.x86_64

How reproducible:
Try to connect to a remote KVM virtual machine with SPICE

Steps to Reproduce:
1. Try to connect to a remote KVM virtual machine with spice
2. Authentication dialog appears and password is typed in
3. Program crashes
  
Actual results:
The program crashes

Expected results:
It should connect and provide a display to the remote VM.

Additional info:
Luckily, spicy is still working for me so I'm not stranded.
Comment 1 Scott Dowdle 2012-11-27 02:02:25 EST
I was able to duplicate this bug on a different machine with the same install (Fedora 18 64bit) and package version.  remote-viewer would connect and display properly until I enabled the password option at which point it would crash with the error previously mentioned.
Comment 2 Christophe Fergeau 2012-11-27 04:32:48 EST
Created attachment 652561 [details]
Patch fixing this crash
Comment 3 Scott Dowdle 2012-12-07 12:49:47 EST
So, any chance we can get an updated package pushed into updates-testing with the fix applied?
Comment 4 Fedora Update System 2012-12-14 17:26:23 EST
virt-viewer-0.5.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/virt-viewer-0.5.4-3.fc18
Comment 5 Fedora Update System 2013-01-11 18:44:50 EST
virt-viewer-0.5.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.